            #GIT_CMT=a92c7ade0698a914ace8c5cd2d84eb6e331f67ec
%global selinuxtype targeted
%global moduletype contrib
%global modulename glusterd


Name:           glusterfs-selinux
Version:        2.0.1
Release:        2%{?dist}
Summary:        Glusterfs targeted SELinux policy
Vendor:         Oracle America

License:        GPLv2
URL:            https://github.com/gluster/glusterfs-selinux
Source0:        %{name}-%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  git
Requires:       selinux-policy-%{selinuxtype}
BuildRequires:  pkgconfig(systemd)
BuildRequires:  selinux-policy-devel

Requires(post): selinux-policy-%{selinuxtype}
Requires(post): libselinux-utils
Requires(post): policycoreutils
%{?selinux_requires}


%description
SELinux targeted policy modules for glusterfs


%prep
%setup -q -n %{name}-%{version}


%build
make %{?_smp_mflags}


%install
%make_install


%pre
%selinux_relabel_pre -s %{selinuxtype}


%post
%selinux_modules_install -s %{selinuxtype} %{_datadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.bz2


%postun
if [ $1 -eq 0 ]; then
    %selinux_modules_uninstall -s %{selinuxtype} %{modulename}
fi


%posttrans
%selinux_relabel_post -s %{selinuxtype}


%files
%{_datadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.*
%ghost %attr(700, root, root) %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}
%ghost %attr(600, root, root) %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}/cil
%ghost %attr(600, root, root) %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}/hll
%ghost %attr(600, root, root) %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}/lang_ext
%license COPYING


%changelog
* Mon Feb 7 2022 Gautham Ananthakrishna <gautham.ananthakrishna@oracle.com> - 2.0.1-2.el8
- spec: Make changes to adapt the oracle-gluster-8 build environment

* Fri Feb 4 2022 Joe Jin <joe.jin@oracle.com> - 2.0.1-2
- Initial build for oralcle-gluster-8

* Tue Jul 6 2021 Shwetha K Acharya <sacharya@redhat.com>
- Tagging release 2.0.1

* Wed Jan 27 2021 Rinku Kothiya <rkothiya@redhat.com> - 0.1.1-4
- Incorporated review comments - bz#1901123

* Thu May 07 2020 Vit Mojzis <vmojzis@redhat.com> - 0.1.0-3
- Update based on DSP guidelines
  https://fedoraproject.org/wiki/SELinux/IndependentPolicy

* Thu Nov 15 2018 Milind Changire <mchangir@redhat.com> - 0.1.0-2
- corrections toward review request comments from misc - bz#1649713

* Mon Jul 02 2018 Milind Changire <mchangir@redhat.com> - 0.1.0-1
- first build

